<script lang="ts">
	import { courses } from '$lib';
	import type { PageData } from './$types';
	import QuestionDisplay from './QuestionDisplay.svelte';

	export let data: PageData;

	$: thread = courses?.find((c) => c.id == data.courseId)?.threads.find(t => t.id == data.threadId);
</script>

{#if thread}
	<QuestionDisplay {thread} ></QuestionDisplay>
{/if}
